Results 1 to 9 of 9

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: A step in the right direction

  1. #1
    Default A step in the right direction
    Hello

    I have a iPhone 3G currently running iOS 4.0.1. I have never Jailbroken my iPhone in the past. But now I want to Jailbreak it. I'm looking for some getting started advice.

    I hear conflicting reports as to whether or not I can jailbreak my phone since I am already running 4.0.1 and have never jailbroken the device in the past. Can I?

    Where can I get started?
    What do I need to download?
    What do I need to be careful of?


    Thanks,
    John

  2. #2
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    Yes you can jailbreak. Use redsn0w 0.9.5b-5.

  3. The Following User Says Thank You to jkmonkey For This Useful Post:

    johnnysaw (2010-07-27)

  4. #3
    Yep. Download redsnow 0.9.5b-5 and 4.0 IPSW. Then follow the instructions here: How to Jailbreak iOS 4.0.1 with Redsn0w [Guide]

  5. The Following User Says Thank You to douflag For This Useful Post:

    johnnysaw (2010-07-27)

  6. #4
    Livin the iPhone Life mr.sparky's Avatar
    Join Date
    Jul 2008
    Location
    On the open sea
    Posts
    1,326
    Thanks
    597
    Thanked 221 Times in 155 Posts

    THIS FORUM HAS AN AWESOME feature called "search" you should find everything your looking for....
    http://i122.photobucket.com/albums/o260/cpjr1979/dc5274181cd827585d4bb6d16bedb210cop.png
    Steroids are yummy

  7. #5
    Thanks for the help. I downloaded redsn0w 0.9.5b-5, but I am getting a "Not supported on this architecture" error. I am using a Mac G5 running OS X 10.5.8. Any suggestions?


    Thanks again

  8. #6
    Sounds like you downloaded the windows app...
    Last edited by exfelon; 2010-07-27 at 06:43 PM.

  9. #7
    iPhone? More like MyPhone Thenextkiller's Avatar
    Join Date
    Jun 2010
    Location
    USA
    Posts
    203
    Thanks
    5
    Thanked 45 Times in 39 Posts

    Just wait for an official jailbreak that will come soon.
    Am firin ma lasah

  10. #8
    I definitely downloaded the OS X app. Even downloaded it again using a different browser and different link. Same error each time. When I've seen this before it was because the application was not written with support for PowerPC processors (such as my G5), only for newer Intel-based Macs.

    What is an "official jailbreak" compared to what I am attempting to do with redsn0w?

  11. #9
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    You can downgrade the phone to 3.1.2 and use blackra1n to jailbreak. ( yes it has an osx version) Then use pwnagetool to create a custom 4.0 and restore to that. Not sure if you'll run into the same problem with pwnage as you did with redsn0w or not, but it's worth a shot. If pwnage won't run you can always stay at 3.1.2 with blackra1n, at least you'll be jailbroken. 4.0 doesn't bring a whole lot to the table for a 3G anyway.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •